import { DbClient } from '../../index.js';
import { QueryDefFilter, QueryDef } from '../types.js';
import { FilterOpts, Operator } from './types.js';
import { FilterBranchFn } from './types.js';
export declare class FilterBranch {
    constructor(db: DbClient, filterBranch: QueryDefFilter, def: QueryDef);
    db: DbClient;
    filterBranch: QueryDefFilter;
    def: QueryDef;
    or(fn: FilterBranchFn): FilterBranch;
    or(field: string, operator?: Operator | boolean, value?: any, opts?: FilterOpts): FilterBranch;
    filter(field: string, operator?: Operator | boolean, value?: any): this;
}
